Gecode::ArrayTraits< VarArray< IntVar > > Class Reference

Traits of IntVarArray. More...

`#include <array-traits.hpp>`

## Public Types

typedef IntVarArray | StorageType
typedef IntVar | ValueType
typedef IntVarArgs | ArgsType

## Detailed Description

Traits of IntVarArray.

Definition at line 53 of file array-traits.hpp.

## Member Typedef Documentation

## StorageType

typedef IntVarArray Gecode::ArrayTraits< VarArray< IntVar > >::StorageType

Definition at line 55 of file array-traits.hpp.

## ValueType

typedef IntVar Gecode::ArrayTraits< VarArray< IntVar > >::ValueType

Definition at line 56 of file array-traits.hpp.

## ArgsType

typedef IntVarArgs Gecode::ArrayTraits< VarArray< IntVar > >::ArgsType

Definition at line 57 of file array-traits.hpp.

The documentation for this class was generated from the following file:

- gecode/int/array-traits.hpp